# Renderd7-nightly: nlohmann::detail::internal_iterator< BasicJsonType > Struct Template Reference

nlohmann::detail::internal_iterator< BasicJsonType > Struct Template Reference

an iterator value More...

`#include <json.hpp>`

## Public Attributes

BasicJsonType::object_t::iterator | object_iterator {}
| iterator for JSON objects
BasicJsonType::array_t::iterator | array_iterator {}
| iterator for JSON arrays
primitive_iterator_t | primitive_iterator {}
| generic iterator for all other types

## Detailed Description

### template<typename BasicJsonType>
struct nlohmann::detail::internal_iterator< BasicJsonType >

an iterator value

Note
  This structure could easily be a union, but MSVC currently does not allow unions members with complex constructors, see https://github.com/nlohmann/json/pull/105.